LinkGUIRequest (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Class LinkGUIRequest

    java.lang.Object
      com.bbn.openmap.layer.link.LinkGUIRequest

    public class LinkGUIRequest

extends java.lang.Object

Field Summary
`protected static float` | `version` Version Number of request format.

Constructor Summary
`LinkGUIRequest(Link link)`

Method Summary
`java.lang.String` | `getLinkStatus()` After reading the gesture response, this returns the section ending string terminating the gesture section, either Link.END_TOTAL or Link.END_SECTION.
`java.lang.String` | `getType()`
`java.lang.String` | `read(Link link)` Read the link and pull off the gesture, filling in the fields of this object.
`static void` | `write(java.lang.String[] args, Link link)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    protected static float version

  Version Number of request format.

Constructor Detail

### LinkGUIRequest

    public LinkGUIRequest(Link link)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getType

    public java.lang.String getType()

### getLinkStatus

    public java.lang.String getLinkStatus()

  After reading the gesture response, this returns the section ending string terminating the gesture section, either Link.END_TOTAL or Link.END_SECTION.

  Returns:
    either Link.END_TOTAL or Link.END_SECTION.

### write

    public static void write(java.lang.String[] args,
                             Link link)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public java.lang.String read(Link link)
                          throws java.io.IOException

  Read the link and pull off the gesture, filling in the fields of this object.

  Parameters:
    `link` - the link to read from.
  Returns:
    Link.END_TOTAL or Link.END_SECTION
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details